=== debian/changelog ===
zycore-c (1.1.0-4) unstable; urgency=medium

  * d/control:
    - use any-arm instead of any-armel and any-armhf also for zycore-dev
    - add Vcs fields
    - mark test deps with <!nocheck>
  * d/rules: add qa=+all option
  * d/watch: use GitHub's API

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 07 Dec 2021 12:43:25 +0100

zycore-c (1.1.0-3) unstable; urgency=medium

  * d/control: use any-arm instead of any-armel and any-armhf

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 16 Nov 2021 10:21:00 +0100

zycore-c (1.1.0-2) unstable; urgency=medium

  * Source-only reupload

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 15 Nov 2021 21:37:57 +0100

zycore-c (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: restrict build to x86 and ARM. Closes: #999494
  * d/watch: use GitHub tags instead of GitHub releases
  * d/rules: build and run tests

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 12 Nov 2021 13:15:38 +0100

zycore-c (1.0.0-2) unstable; urgency=medium

  * Backport ZYAN_NO_SANITIZE macro (needed to build Zydis 3.2.1)
  * Backport ZyanAbsI64() function (needed to build Zydis 3.2.1)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 11 Nov 2021 12:21:07 +0100

zycore-c (1.0.0-1) unstable; urgency=low

  * Initial release. Closes: #995884

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 07 Oct 2021 18:14:34 +0200
