=== debian/control ===
Source: zycore-c
Section: libs
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: cmake (>= 3.1),
               debhelper-compat (= 13),
               libgtest-dev <!nocheck>
Standards-Version: 4.6.0
Homepage: https://github.com/zyantific/zycore-c
Vcs-Git: https://salsa.debian.org/debian/zycore-c.git
Vcs-Browser: https://salsa.debian.org/debian/zycore-c
Rules-Requires-Root: no

Package: libzycore1.1
Architecture: any-amd64 any-arm any-arm64 any-i386
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Zyan Core Library for C
 Zyan Core is an internal library providing platform independent types,
 macros and a fallback for environments without LibC.
 .
 This package contains the shared library.

Package: libzycore-dev
Section: libdevel
Architecture: any-amd64 any-arm any-arm64 any-i386
Depends: libzycore1.1 (= ${binary:Version}),
         ${misc:Depends}
Description: Zyan Core Library for C - development
 Zyan Core is an internal library providing platform independent types,
 macros and a fallback for environments without LibC.
 .
 This package contains the development files.
