=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all qa=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED_LIBS=ON \
		-DZYAN_WHOLE_PROGRAM_OPTIMIZATION=ON \
		-DZYCORE_BUILD_SHARED_LIB=ON \
		-DZYCORE_BUILD_TESTS=ON
