## zycore-c 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,15 @@
     return()
 endif ()
 
-cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
-
-project(Zycore VERSION 1.1.0.0 LANGUAGES C CXX)
-
-include(GenerateExportHeader)
+cmake_minimum_required(VERSION 3.9 FATAL_ERROR)
+
+if (CMAKE_VERSION VERSION_GREATER_EQUAL "3.15")
+    # Enable runtime library selection via CMAKE_MSVC_RUNTIME_LIBRARY
+    cmake_policy(SET CMP0091 NEW)
+endif ()
+
+project(Zycore VERSION 1.4.0.0 LANGUAGES C)
+
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
 
@@ -63,31 +67,42 @@
 # GoogleTest                                                                                      #
 # =============================================================================================== #
 
-# Download and unpack googletest
+# Search for GoogleTest, and fallback to downloading it if not found
 if (ZYCORE_BUILD_TESTS)
-    if (NOT DEFINED ZYCORE_DOWNLOADED_GTEST)
-        configure_file("CMakeLists.txt.in" "${CMAKE_BINARY_DIR}/gtest/download/CMakeLists.txt")
-        execute_process(COMMAND ${CMAKE_COMMAND} -G "${CMAKE_GENERATOR}" .
-            RESULT_VARIABLE result
-            WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/gtest/download")
-        if (result)
-            message(FATAL_ERROR "CMake step for googletest failed: ${result}")
-        endif()
-        execute_process(COMMAND ${CMAKE_COMMAND} --build .
-            RESULT_VARIABLE result
-            WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/gtest/download")
-        if (result)
-            message(FATAL_ERROR "Build step for googletest failed: ${result}")
-        endif()
-
-        set(ZYCORE_DOWNLOADED_GTEST TRUE CACHE BOOL "")
-        mark_as_advanced(ZYCORE_DOWNLOADED_GTEST)
-    endif ()
+    find_package(GTest QUIET)
+    if (GTest_FOUND)
+        # CMake 3.20 and upstream GTestConfig.cmake
+        if (TARGET GTest::gtest)
+            add_library(gtest ALIAS GTest::gtest)
+        # Older FindGTest
+        else ()
+            add_library(gtest ALIAS GTest::GTest)
+        endif ()
+    else ()
+        if (NOT DEFINED ZYCORE_DOWNLOADED_GTEST)
+            configure_file("CMakeLists.txt.in" "${CMAKE_BINARY_DIR}/gtest/download/CMakeLists.txt")
+            execute_process(COMMAND ${CMAKE_COMMAND} -G "${CMAKE_GENERATOR}" .
+                RESULT_VARIABLE result
+                WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/gtest/download")
+            if (result)
+                message(FATAL_ERROR "CMake step for googletest failed: ${result}")
+            endif()
+            execute_process(COMMAND ${CMAKE_COMMAND} --build .
+                RESULT_VARIABLE result
+                WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/gtest/download")
+            if (result)
+                message(FATAL_ERROR "Build step for googletest failed: ${result}")
+            endif()
+
+            set(ZYCORE_DOWNLOADED_GTEST TRUE CACHE BOOL "")
+            mark_as_advanced(ZYCORE_DOWNLOADED_GTEST)
+        endif ()
 
     set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)
 
     add_subdirectory("${CMAKE_BINARY_DIR}/gtest/src" "${CMAKE_BINARY_DIR}/gtest/build"
         EXCLUDE_FROM_ALL)
+    endif ()
 endif ()
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -101,22 +116,23 @@
     add_library("Zycore" SHARED)
 else ()
     add_library("Zycore" STATIC)
+    target_compile_definitions("Zycore" PUBLIC "ZYCORE_STATIC_BUILD")
 endif ()
 
 set_target_properties("Zycore" PROPERTIES
     LINKER_LANGUAGE C
-    VERSION ${Zycore_VERSION}
-    SOVERSION ${Zycore_VERSION_MAJOR}.${Zycore_VERSION_MINOR})
+    VERSION "${Zycore_VERSION}"
+    SOVERSION "${Zycore_VERSION_MAJOR}.${Zycore_VERSION_MINOR}"
+    DEFINE_SYMBOL "ZYCORE_SHOULD_EXPORT")
 target_include_directories("Zycore"
     PUBLIC
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
         $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>
         $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
     PRIVATE "src")
-target_compile_definitions("Zycore" PRIVATE "_CRT_SECURE_NO_WARNINGS" "ZYCORE_EXPORTS")
+target_compile_definitions("Zycore" PRIVATE "_CRT_SECURE_NO_WARNINGS")
 zyan_set_common_flags("Zycore")
-zyan_maybe_enable_wpo_for_lib("Zycore")
-generate_export_header("Zycore" BASE_NAME "ZYCORE" EXPORT_FILE_NAME "ZycoreExportConfig.h")
+zyan_maybe_enable_wpo("Zycore")
 
 if (ZYAN_NO_LIBC)
     target_compile_definitions("Zycore" PUBLIC "ZYAN_NO_LIBC")
@@ -136,6 +152,7 @@
         # Common
         "${CMAKE_CURRENT_LIST_DIR}/include/Zycore/Allocator.h"
         "${CMAKE_CURRENT_LIST_DIR}/include/Zycore/ArgParse.h"
+        "${CMAKE_CURRENT_LIST_DIR}/include/Zycore/Atomic.h"
         "${CMAKE_CURRENT_LIST_DIR}/include/Zycore/Bitset.h"
         "${CMAKE_CURRENT_LIST_DIR}/include/Zycore/Comparison.h"
         "${CMAKE_CURRENT_LIST_DIR}/include/Zycore/Defines.h"
@@ -148,6 +165,8 @@
         "${CMAKE_CURRENT_LIST_DIR}/include/Zycore/Types.h"
         "${CMAKE_CURRENT_LIST_DIR}/include/Zycore/Vector.h"
         "${CMAKE_CURRENT_LIST_DIR}/include/Zycore/Zycore.h"
+        "${CMAKE_CURRENT_LIST_DIR}/include/Zycore/Internal/AtomicGNU.h"
+        "${CMAKE_CURRENT_LIST_DIR}/include/Zycore/Internal/AtomicMSVC.h"
         # API
         "src/API/Memory.c"
         "src/API/Process.c"
@@ -172,6 +191,7 @@
 
 if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux" AND NOT ZYAN_NO_LIBC)
     target_compile_definitions("Zycore" PRIVATE "_GNU_SOURCE")
+    set(THREADS_PREFER_PTHREAD_FLAG ON)
     find_package(Threads REQUIRED)
     target_link_libraries("Zycore" Threads::Threads)
 endif ()
@@ -191,14 +211,30 @@
     DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/zycore"
 )
 
-install(TARGETS "Zycore" EXPORT "zycore-targets")
+install(TARGETS "Zycore" EXPORT "zycore-targets"
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+)
+
 install(EXPORT "zycore-targets"
     NAMESPACE "Zycore::"
     DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/zycore")
-install(FILES
-    "${PROJECT_BINARY_DIR}/ZycoreExportConfig.h"
-    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
 install(DIRECTORY "include/" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+
+# =============================================================================================== #
+# Doxygen documentation                                                                           #
+# =============================================================================================== #
+
+find_package(Doxygen)
+if (DOXYGEN_FOUND)
+    doxygen_add_docs(ZycoreDoc "include/Zycore/" ALL)
+    install(
+        DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html/"
+        DESTINATION "${CMAKE_INSTALL_DOCDIR}/api"
+        COMPONENT Documentation
+    )
+endif()
 
 # =============================================================================================== #
 # Developer mode                                                                                  #
@@ -234,19 +270,22 @@
 
 function (zyan_add_test test)
     add_executable("Test${test}" "tests/${test}.cpp")
-
-    if (NOT MSVC)
-        target_compile_options("Test${test}" PRIVATE "-std=c++17")
-    endif ()
-
-    target_link_libraries("Test${test}" "Zycore")
-    target_link_libraries("Test${test}" "gtest")
-    set_target_properties("Test${test}" PROPERTIES FOLDER "Tests")
+    target_link_libraries("Test${test}" "Zycore" "gtest")
+    set_target_properties("Test${test}" PROPERTIES
+        LANGUAGE CXX
+        CXX_STANDARD 17
+        CXX_EXTENSIONS OFF
+        CXX_STANDARD_REQUIRED ON
+        FOLDER "Tests"
+    )
     target_compile_definitions("Test${test}" PRIVATE "_CRT_SECURE_NO_WARNINGS")
     zyan_maybe_enable_wpo("Test${test}")
+    add_test("${test}" "Test${test}")
 endfunction ()
 
 if (ZYCORE_BUILD_TESTS)
+    enable_language(CXX)
+    enable_testing()
     zyan_add_test("String")
     zyan_add_test("Vector")
     zyan_add_test("ArgParse")
