=== debian/changelog ===
zycore-c (1.4.1-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:56:22 +1100

zycore-c (1.4.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063314

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 08:50:24 +0000

zycore-c (1.4.1-2) unstable; urgency=medium

  * d/patches: add loong64 support.
    Thanks to wuruilong for the patch! (Closes: #1059604)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 12 Jan 2024 22:24:00 +0100

zycore-c (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Upload to unstable

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 20 Nov 2022 16:42:22 +0100

zycore-c (1.4.0-1) experimental; urgency=medium

  * New upstream version 1.4.0
  * d/control: libzycore1.2 -> libzycore1.4
  * d/control: add new libzycore-doc package
  * d/control: build on any architecture (Closes: #1015787)
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 06 Nov 2022 23:24:02 +0100

zycore-c (1.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/patches: build Doxygen documentation

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 30 Sep 2022 14:35:40 +0200

zycore-c (1.2.0-1) experimental; urgency=medium

  [ Andrea Pappacoda ]
  * New upstream version 1.2.0
  * d/control: libzycore1.1 -> libzycore1.2
  * d/control: mark Multi-Arch: same
  * d/patches: drop upstreamed patches
  * d/tests: add autopkgtests
  * d/upstream/metadata: add Donation field

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 14 Sep 2022 13:23:42 +0200
