=== debian/control ===
Source: zycore-c
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
Build-Depends-Arch: dpkg-dev (>= 1.22.5), cmake,
                    libgtest-dev <!nocheck>
Build-Depends-Indep: cmake,
                     libgtest-dev <!nocheck>,
                     doxygen <!nodoc>,
                     graphviz <!nodoc>
Standards-Version: 4.6.1
Homepage: https://github.com/zyantific/zycore-c
Vcs-Git: https://salsa.debian.org/debian/zycore-c.git
Vcs-Browser: https://salsa.debian.org/debian/zycore-c
Rules-Requires-Root: no

Package: libzycore1.4t64
Provides: ${t64:Provides}
Replaces: libzycore1.4
Breaks: libzycore1.4 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Zyan Core Library for C
 Zyan Core is an internal library providing platform independent types,
 macros and a fallback for environments without LibC.
 .
 This package contains the shared library.

Package: libzycore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libzycore1.4t64 (= ${binary:Version}),
         ${misc:Depends}
Recommends: libzycore-doc
Description: Zyan Core Library for C - development
 Zyan Core is an internal library providing platform independent types,
 macros and a fallback for environments without LibC.
 .
 This package contains the development files.

Package: libzycore-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery,
         ${misc:Depends}
Description: Zyan Core Library for C - documentation
 Zyan Core is an internal library providing platform independent types,
 macros and a fallback for environments without LibC.
 .
 This package contains the generated Doxygen documentation.
