=== debian/watch ===
version=4
opts="searchmode=plain, \
  filenamemangle=s/.*v@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/, \
  pgpmode=none" \
https://api.github.com/repos/zyantific/zycore-c/tags \
https://api.github.com/repos/zyantific/zycore-c/tarball/refs/tags/v@ANY_VERSION@
