## zycore-c 1.5.0

=== debian/changelog ===
zycore-c (1.5.0-1) unstable; urgency=medium

  * Init && sync with upstream

 -- Alphagocc <alphagocc@163.com>  Tue, 24 Sep 2024 18:15:54 +0800
