=== debian/control ===
--- 
+++ 
@@ -1,25 +1,20 @@
 Source: zycore-c
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
-Build-Depends-Arch: dpkg-dev (>= 1.22.5), cmake,
+Maintainer: Alphagocc <alphagocc@163.com>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11)
+Build-Depends-Arch: cmake,
                     libgtest-dev <!nocheck>
 Build-Depends-Indep: cmake,
                      libgtest-dev <!nocheck>,
                      doxygen <!nodoc>,
                      graphviz <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/zyantific/zycore-c
-Vcs-Git: https://salsa.debian.org/debian/zycore-c.git
-Vcs-Browser: https://salsa.debian.org/debian/zycore-c
+Vcs-Git: https://github.com/deepin-community/zycore-c
 Rules-Requires-Root: no
 
-Package: libzycore1.4t64
-Provides: ${t64:Provides}
-Replaces: libzycore1.4
-Breaks: libzycore1.4 (<< ${source:Version})
+Package: libzycore1.5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -34,7 +29,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libzycore1.4t64 (= ${binary:Version}),
+Depends: libzycore1.5 (= ${binary:Version}),
          ${misc:Depends}
 Recommends: libzycore-doc
 Description: Zyan Core Library for C - development
@@ -54,3 +49,4 @@
  macros and a fallback for environments without LibC.
  .
  This package contains the generated Doxygen documentation.
+
