## zycore-c 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
     cmake_policy(SET CMP0091 NEW)
 endif ()
 
-project(Zycore VERSION 1.4.0.0 LANGUAGES C)
+project(Zycore VERSION 1.5.1.0 LANGUAGES C)
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
@@ -118,6 +118,7 @@
     add_library("Zycore" STATIC)
     target_compile_definitions("Zycore" PUBLIC "ZYCORE_STATIC_BUILD")
 endif ()
+add_library("Zycore::Zycore" ALIAS "Zycore")
 
 set_target_properties("Zycore" PROPERTIES
     LINKER_LANGUAGE C
@@ -228,10 +229,16 @@
 
 find_package(Doxygen)
 if (DOXYGEN_FOUND)
+    set(DOXYGEN_GENERATE_MAN YES)
     doxygen_add_docs(ZycoreDoc "include/Zycore/" ALL)
     install(
         DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html/"
         DESTINATION "${CMAKE_INSTALL_DOCDIR}/api"
+        COMPONENT Documentation
+    )
+    install(
+        DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/man/man3/"
+        DESTINATION "${CMAKE_INSTALL_MANDIR}/man3"
         COMPONENT Documentation
     )
 endif()
