=== debian/changelog ===
zycore-c (1.5.1-1) unstable; urgency=low

  * New upstream version 1.5.1
  * Upload to unstable
  * First dgit upload
  * d/control: apply X-Style: black
  * d/control: declare dpkg-build-api = 1
  * d/.symbols: add missing Build-Depends-Package.
    Thanks to Bastian for the report!

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 14 Jan 2025 22:48:30 +0100

zycore-c (1.5.0-1) experimental; urgency=medium

  * New upstream version 1.5.0
  * d/control: libzycore1.4t64 -> libzycore1.5
  * d/libzycore-doc.manpages: install manpages
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 10 Mar 2024 12:47:38 +0100
