=== debian/control ===
Source: zycore-c
Section: libs
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 dpkg-dev (>= 1.22.5),
Build-Depends-Arch:
 cmake,
 libgtest-dev <!nocheck>,
Build-Depends-Indep:
 cmake,
 doxygen <!nodoc>,
 graphviz <!nodoc>,
 libgtest-dev <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/zyantific/zycore-c
Vcs-Git: https://salsa.debian.org/debian/zycore-c.git
Vcs-Browser: https://salsa.debian.org/debian/zycore-c
X-Style: black

Package: libzycore1.5
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Zyan Core Library for C
 Zyan Core is an internal library providing platform independent types,
 macros and a fallback for environments without LibC.
 .
 This package contains the shared library.

Package: libzycore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libzycore1.5 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 libzycore-doc,
Description: Zyan Core Library for C - development
 Zyan Core is an internal library providing platform independent types,
 macros and a fallback for environments without LibC.
 .
 This package contains the development files.

Package: libzycore-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: Zyan Core Library for C - documentation
 Zyan Core is an internal library providing platform independent types,
 macros and a fallback for environments without LibC.
 .
 This package contains the generated Doxygen documentation.
