## zycore-c 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
     cmake_policy(SET CMP0091 NEW)
 endif ()
 
-project(Zycore VERSION 1.5.1.0 LANGUAGES C)
+project(Zycore VERSION 1.5.2.0 LANGUAGES C)
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
@@ -124,7 +124,8 @@
     LINKER_LANGUAGE C
     VERSION "${Zycore_VERSION}"
     SOVERSION "${Zycore_VERSION_MAJOR}.${Zycore_VERSION_MINOR}"
-    DEFINE_SYMBOL "ZYCORE_SHOULD_EXPORT")
+    DEFINE_SYMBOL "ZYCORE_SHOULD_EXPORT"
+    C_VISIBILITY_PRESET hidden)
 target_include_directories("Zycore"
     PUBLIC
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
