=== debian/changelog ===
zycore-c (1.5.2-1) unstable; urgency=low

  * New upstream version 1.5.2
  * d/control: use my @debian.org email address
  * d/README.source: document packaging workflow
  * d/rules: always use CMake to build
  * d/.symbols: mark private symbols as optional

 -- Andrea Pappacoda <tachi@debian.org>  Sun, 06 Apr 2025 22:01:26 +0200
