=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: zycore-c
 Section: libs
 Priority: optional
-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
+Maintainer: Andrea Pappacoda <tachi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dpkg-build-api (= 1),
@@ -14,7 +14,7 @@
  doxygen <!nodoc>,
  graphviz <!nodoc>,
  libgtest-dev <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/zyantific/zycore-c
 Vcs-Git: https://salsa.debian.org/debian/zycore-c.git
 Vcs-Browser: https://salsa.debian.org/debian/zycore-c
