=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto qa=+all
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
   test := true
